indexing
   title:       "Simple Duration"
   cluster:     "timedate/sig [timedate/sig]";
   project:     "The Universal Time & Date UTDC";
   copyright:   "SIG Computer, 1995";
   author:      "Alexei Simonov (alex@eiffel.ru)";
   approved_by: "Frieder Monninger";
   original:    22,Sep,95
   version:     1.0
   done_at:     "SIG Computer (info@eiffel.ru)";
   license:     "GNU Library GPL - see included readme file";
   extrnl_name: "simp_drt.e";


deferred class SIMPLE_DURATION

   inherit
      COMPARABLE
         redefine
            infix "<"
         end

      TIME_SERVER
      MATH_UTILS

   feature { ANY }

      clear is

         deferred
         end -- clear     

      infix "<" ( ts : like CURRENT ) : BOOLEAN is

         deferred
         end -- infix "<" 


      infix "+", 
      plus( d : like CURRENT ) : like CURRENT is

         deferred
         end -- infix "+", plus      


      infix "-", 
      minus( d : like CURRENT ) :  like CURRENT is

         deferred
         end -- infix "-", minus     


      ratio,divide_by_duration( d : like CURRENT ) :  REAL is

         deferred
         end -- ratio,divide_by_duration        


      multiply_by( n: REAL ) :  like CURRENT is

         deferred
         end -- multiply_by          


      divide_by( n: REAL ) :  like CURRENT is

         deferred
         end -- divide_by 

   end -- class SIMPLE_DURATION

